# re2-js-generator

## Requires

 - node
 - npm
 - re2c

## Install
```bash
git clone -- http://git.macaw.me:3000/chichenkov/re2-js-generator.git
cd re2-js-generator
./build.sh
```
## One Minute Guide
You can fast use example:
```bash
./build_example.sh
cd example/
node lexme.js
```


## Start
```bash
./run.sh
### or
node main -c=<config_path>
### or
node main.js -inp=<input_file> -o=<output_path> -t=<web|node> <-nb|--no-beautify> -logs -web-template=<web_template_file>
```
Result fill write in <lexer.js> file.

## Flags
```bash
-c=<config_path>
-inp=<input_file.l>
-o=<output_path>
-t=<web|node>
-nb|--no-beautify
-logs
-web-template=<web_template_file>
```

## Web template example
You can create template file for simplify web develop
```javascript
(function(){
    var deps = [];
    define(deps, function(){
        <%%LEXER%%>
        return Lexer;
    });
})();
```

## Test
```bash
node test.js
```

## Manual
Read re2c manual: http://re2c.org/manual/manual.html

Report for bugs: rolahd@yandex.ru

## Links
 - Used js-beautify-node from: [https://github.com/rwaldron/js-beautify-node](https://github.com/rwaldron/js-beautify-node)
 - Used args-parser from: [https://www.npmjs.com/package/args-parser](https://www.npmjs.com/package/args-parser)